Doomseeker 1.3

News and events are posted here. Threads also show up in the Latest News section.
Post Reply
User avatar
Zalewa
Developer
Posts: 311
Joined: Wed May 30, 2012 3:28 pm

Doomseeker 1.3

#1

Post by Zalewa » Mon Jul 29, 2019 3:47 pm

I would like to announce the release of Doomseeker 1.3. It is a small release in overall, but it has a significant change of the compiler for Windows version. In this release we also have:
  • improvement of the filesystem searching routines that find your installed WADs,
  • segregation of functions of the Create Game box and some new UI features and clean-ups there.
When creating a game, user can now switch between "offline" and "hosting" modes and the box will adjust its appearance so that it's more clear which options do or don't apply in given mode. New features for the Create Game box are: the possibility of adding maps to the map list en masse with a convenient list widget that knows MAP lumps from the loaded WADs, and dedicated UI controls to define logging paths for games.

As far as the WAD searching goes - the major improvement here is checksum comparison of locally stored files to the ones hosted on servers. If game's server provides WAD/PK3 checksums, Doomseeker will compare them to the locally stored WADs and inform the user upon mismatch. Furthermore, thanks to the collaboration with Wad Archive's operator, Hamish, the WADs from there are also compared before they are even downloaded.

As mentioned, the compiler for Windows build has been changed to MinGW-w64. While it sadly means that the Doomseeker package is now a bit larger, tests have indicated that in exchange it gained in performance. Moreover, for us as developers, it means that Doomseeker's code can now use the modern C++ standards while still maintaining compatibility with legacy systems such as Windows XP. Also, since this version, Qt4 has been completely dropped in favour of Qt5.

This release also includes translation to the Catalan language by Pol_M.

Special thanks go to WubTheCaptain and Pol_M for their continuing contributions to the project.

User avatar
Pol Marcet Sardà
New User
Posts: 5
Joined: Tue Feb 26, 2019 6:28 pm

Re: Doomseeker 1.3

#2

Post by Pol Marcet Sardà » Mon Jul 29, 2019 9:09 pm

Ye! We are done. Thank you all, Blzut, Wub and Zal, for your continuous work. I enjoy committing with you all, and you're all a blast. Looking forward to make 1.4 another massively cool release!

(Man, we've cleared so many tickets in the tracker that there's barely a page of issues at this point!)

User avatar
Empyre
Zandrone
Posts: 1282
Joined: Sun Jul 08, 2012 6:41 am
Location: Garland, TX, USA

Re: Doomseeker 1.3

#3

Post by Empyre » Mon Jul 29, 2019 11:57 pm

I launched Doomseeker and it said that there is an update. I let it update, but I get this message.
The program can't start because libgcc_s_dw2-1.dll is missing from your computer. try reinstalling the program to fix this problem.
It looks like a file is missing from the update.
"For the world is hollow, and I have touched the sky."

User avatar
Zalewa
Developer
Posts: 311
Joined: Wed May 30, 2012 3:28 pm

Re: Doomseeker 1.3

#4

Post by Zalewa » Tue Jul 30, 2019 5:40 am

I now double-checked and this .dll file is in the "Qt" package which should've downloaded with the update. I'm not sure what has happened in your case. Here's the log when trying to auto-update Doomseeker 1.2:

Code: Select all

[07:36:58] Detected update for package "Doomseeker" from version "1.2-181027-1930" to version "1.3-190727-0915".
[07:36:58] Detected update for package "Chocolate Doom" from version "27" to version "29".
[07:36:58] Detected update for package "Odamex" from version "33" to version "36".
[07:36:58] Detected update for package "Sonic Robo Blast 2" from version "11" to version "13".
[07:36:58] Detected update for package "Turok 2 Remaster" from version "3" to version "6".
[07:36:58] Detected update for package "Zandronum" from version "39" to version "42".
[07:36:58] Detected update for package "Qt" from version "5.7.0-1" to version "5.7.1-mingw-1".
[07:36:58] Detected update for package "Wadseeker" from version "1.2" to version "2.0".
It's a great sadness that the auto-update process hasn't worked correctly for you. Downloading the program the old-fashioned way from the website should fix it.
http://doomseeker.drdteam.org/files/doo ... indows.zip

User avatar
Sean
IRC Operator
Posts: 909
Joined: Thu Jan 16, 2014 9:09 pm
Location: England
Clan Tag: [TSPG]
Contact:

Re: Doomseeker 1.3

#5

Post by Sean » Tue Jul 30, 2019 12:36 pm

Very nice!
Zalewa wrote:
Mon Jul 29, 2019 3:47 pm
If a game's server provides WAD/PK3 checksums, Doomseeker will compare them to the locally stored WADs and inform the user upon mismatch.
Now we just need Zan 3.1 to release to compliment this :P
<capodecima> i dont say any more word without my loyer jenova

Post Reply